%define upstream_name Net_LDAP2
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.2.0
Release:     	%mkrel 2
Summary:    	Object oriented interface for searching and manipulating LDAP-entries
License: 	LGPLv3 License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Net_LDAP2-%{version}.tgz
URL: 		http://pear.php.net/package/Net_LDAP2
BuildRequires:	php-pear >= 1.4.7
BuildArch: noarch
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

%description
Net_LDAP2 is the successor of Net_LDAP which is a clone of Perls Net::LDAP
                object interface to directory servers. It does contain most
of Net::LDAPs
                features but has some own too.
                 With Net_LDAP2 you have:
                 * A simple object-oriented interface to connections,
searches entries and filters.
                 * Support for TLS and LDAP v3.
                 * Simple modification, deletion and creation of LDAP
entries.
                 * Support for schema handling.

                 Net_LDAP2 layers itself on top of PHP's existing ldap
extensions.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_LDAP2.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_LDAP2.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_LDAP2
fi

%files
%doc docs/Net_LDAP2/*
%{peardir}/*
%{xmldir}/Net_LDAP2.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.2.0-2.mga8
+ Revision: 1499109
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.2.0-1.mga7
+ Revision: 1273728
- Mageia 7 Mass Rebuild

* Sun Mar 13 2016 spuhler <spuhler> 2.2.0-0.mga6
+ Revision: 990329
- upgrade to vers. 2.2.0

* Mon Feb 08 2016 umeabot <umeabot> 2.1.0-6.mga6
+ Revision: 950441
- Mageia 6 Mass Rebuild

* Wed Oct 29 2014 tv <tv> 2.1.0-5.mga5
+ Revision: 794492
- exclude deps from doc

* Wed Oct 15 2014 umeabot <umeabot> 2.1.0-4.mga5
+ Revision: 747936
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 2.1.0-3.mga5
+ Revision: 734097
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 2.1.0-2.mga5
+ Revision: 687378
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 spuhler <spuhler> 2.1.0-1.mga5
+ Revision: 644022
- upgrade to ver. 2.1.0

* Fri Oct 18 2013 umeabot <umeabot> 2.0.12-3.mga4
+ Revision: 516998
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.0.12-2.mga3
+ Revision: 377010
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 23 2012 spuhler <spuhler> 2.0.12-1.mga2
+ Revision: 199973
- upgrade to 2.0.12
  pearized spec file

* Sat Jan 29 2011 spuhler <spuhler> 2.0.10-2.mga1
+ Revision: 43864
- removed buildroot definition from .spec
  Increased rel

* Mon Jan 24 2011 ennael <ennael> 2.0.10-1.mga1
+ Revision: 35749
- remove mdkversion
- imported package php-pear-Net_LDAP2


* Wed Aug 25 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.10-1mdv2011.0
+ Revision: 573125
- update to new version 2.0.10

* Sun Feb 21 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.9-1mdv2010.1
+ Revision: 508991
- update to new version 2.0.9

* Thu Jan 21 2010 Adam Williamson <awilliamson@mandriva.org> 2.0.7-2mdv2010.1
+ Revision: 494703
- no-change bump so I can upload to 2009.0 updates (stupid stupid bs bugs)

* Tue Dec 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.7-1mdv2010.1
+ Revision: 478813
- update to new version 2.0.7

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.6-2mdv2010.1
+ Revision: 469028
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Sun Aug 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.6-1mdv2010.0
+ Revision: 419924
- update to new version 2.0.6

* Sun Jul 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.5-1mdv2010.0
+ Revision: 400320
- update to new version 2.0.5

* Thu Jul 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.4-1mdv2010.0
+ Revision: 393770
- import php-pear-Net_LDAP2


* Thu Jul 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.4-1mdv2010.0
- first mdv release
